> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a filtered list of report runner views



## OpenAPI

````yaml /api-reference/management-expert.json get /v6/report-runners/views/detailed
openapi: 3.0.1
info:
  description: >-
    Advanced configuration endpoints for Extole platform experts: campaign
    controllers, typed actions and triggers, advanced component types and
    facets, source mapping, report post-handlers, pre-handlers, and other expert
    configuration surfaces not included in the standard Management API.
  title: Management Expert API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Campaign Controllers
  - name: Campaign Controllers Actions
  - name: Campaign Controllers Triggers
  - name: Campaign Flow Steps
  - name: Components
  - name: Components Grants
  - name: Components Subscriptions
  - name: Components Types
  - name: Content
  - name: Debug
  - name: Domains
  - name: Email
  - name: Event Prehandlers
  - name: Events
  - name: Javascript Core Extensions
  - name: Persons
  - name: Profiles
  - name: Report Schedules
  - name: Report Types
  - name: Reporting
  - name: Security Keys
  - name: Settings
paths:
  /v6/report-runners/views/detailed:
    get:
      tags:
        - Report Schedules
      summary: Gets a filtered list of report runner views
      operationId: getReportRunners
      parameters:
        - in: query
          name: type
          schema:
            type: string
        - in: query
          name: report_type
          schema:
            type: string
        - in: query
          name: display_name
          schema:
            type: string
        - in: query
          name: user_ids
          schema:
            items:
              type: string
            type: array
            uniqueItems: true
        - in: query
          name: having_any_tags
          schema:
            type: string
        - in: query
          name: having_all_tags
          schema:
            type: string
        - in: query
          name: exclude_having_any_tags
          schema:
            type: string
        - in: query
          name: exclude_having_all_tags
          schema:
            type: string
        - in: query
          name: search_query
          schema:
            type: string
        - in: query
          name: pause_status
          schema:
            type: string
        - in: query
          name: aggregation_status
          schema:
            type: string
        - in: query
          name: offset
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: string
        - in: query
          name: order_by
          schema:
            type: string
        - in: query
          name: order
          schema:
            type: string
        - in: query
          name: report_type_name
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ReportRunnerViewResponse'
                type: array
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_limit:
                  $ref: '#/components/examples/invalid_limit'
                invalid_offset:
                  $ref: '#/components/examples/invalid_offset'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                max_fetch_size_1000:
                  $ref: '#/components/examples/max_fetch_size_1000'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                report_runner_invalid_aggregation_status:
                  $ref: >-
                    #/components/examples/report_runner_invalid_aggregation_status
                report_runner_invalid_pause_status:
                  $ref: '#/components/examples/report_runner_invalid_pause_status'
                report_runner_invalid_slot_type:
                  $ref: '#/components/examples/report_runner_invalid_slot_type'
                report_runner_invalid_status:
                  $ref: '#/components/examples/report_runner_invalid_status'
                report_runner_invalid_type:
                  $ref: '#/components/examples/report_runner_invalid_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    ReportRunnerViewResponse:
      discriminator:
        mapping:
          REFRESHING:
            $ref: '#/components/schemas/RefreshingReportRunnerViewResponse'
          SCHEDULED:
            $ref: '#/components/schemas/ScheduledReportRunnerViewResponse'
        propertyName: type
      oneOf:
        - title: REFRESHING
          allOf:
            - $ref: '#/components/schemas/RefreshingReportRunnerViewResponse'
        - title: SCHEDULED
          allOf:
            - $ref: '#/components/schemas/ScheduledReportRunnerViewResponse'
      required:
        - created_date
        - execution_policy
        - formats
        - id
        - merging_configuration
        - name
        - next_execution_date
        - parameters
        - paused
        - report_type_name
        - scopes
        - sftp_server_id
        - tags
        - type
        - updated_date
        - user_id
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    RefreshingReportRunnerViewResponse:
      allOf:
        - $ref: '#/components/schemas/ReportRunnerViewResponseBase'
        - properties:
            expiration_ms:
              format: int64
              type: integer
            id:
              readOnly: true
              type: string
            type:
              enum:
                - REFRESHING
              type: string
          type: object
      required:
        - created_date
        - execution_policy
        - expiration_ms
        - formats
        - id
        - merging_configuration
        - name
        - next_execution_date
        - parameters
        - paused
        - report_type_name
        - scopes
        - sftp_server_id
        - tags
        - type
        - updated_date
        - user_id
      type: object
      title: REFRESHING
    ScheduledReportRunnerViewResponse:
      allOf:
        - $ref: '#/components/schemas/ReportRunnerViewResponseBase'
        - properties:
            frequency:
              enum:
                - DAILY
                - HOURLY
                - LOGIN
                - MONTHLY
                - QUARTERLY
                - WEEKLY
              type: string
            id:
              readOnly: true
              type: string
            legacy_sftp_report_name_format:
              type: boolean
            schedule_start_date:
              $ref: '#/components/schemas/ZonedDateTime'
            type:
              enum:
                - SCHEDULED
              type: string
          type: object
      required:
        - created_date
        - execution_policy
        - formats
        - frequency
        - id
        - legacy_sftp_report_name_format
        - merging_configuration
        - name
        - next_execution_date
        - parameters
        - paused
        - report_type_name
        - schedule_start_date
        - scopes
        - sftp_server_id
        - tags
        - type
        - updated_date
        - user_id
      type: object
      title: SCHEDULED
    ReportRunnerViewResponseBase:
      properties:
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        execution_policy:
          enum:
            - AWAIT_DATA
            - IMMEDIATE
          type: string
        formats:
          items:
            enum:
              - CSV
              - HEADLESS_CSV
              - HEADLESS_PSV
              - JSON
              - JSONL
              - PSV
              - XLSX
            type: string
          type: array
        id:
          readOnly: true
          type: string
        merging_configuration:
          $ref: '#/components/schemas/MergingConfigurationResponse'
        name:
          type: string
        next_execution_date:
          $ref: '#/components/schemas/ZonedDateTime'
        parameters:
          additionalProperties:
            $ref: '#/components/schemas/ReportParameterResponse'
          type: object
        paused:
          $ref: '#/components/schemas/PauseInfoResponse'
        report_type_name:
          type: string
        scopes:
          items:
            enum:
              - CLIENT_ADMIN
              - CLIENT_SUPERUSER
              - CONSUMER_PUBLIC
            type: string
          type: array
          uniqueItems: true
        sftp_server_id:
          nullable: true
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          type: string
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
        user_id:
          type: string
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    MergingConfigurationResponse:
      properties:
        deliverable_type:
          enum:
            - ACCUMULATING
            - INDIVIDUAL
            - NEW_ENTRIES
          type: string
        formats:
          items:
            enum:
              - CSV
              - HEADLESS_CSV
              - HEADLESS_PSV
              - JSON
              - JSONL
              - PSV
              - XLSX
            type: string
          type: array
          uniqueItems: true
        sort_by:
          items:
            type: string
          type: array
        unique_by:
          items:
            type: string
          type: array
      type: object
    ReportParameterResponse:
      properties:
        details:
          $ref: '#/components/schemas/ReportParameterDetailsResponse'
        value:
          type: string
      type: object
    PauseInfoResponse:
      properties:
        description:
          type: string
        updated_date:
          $ref: '#/components/schemas/Instant'
        user_id:
          type: string
      type: object
    ReportParameterDetailsResponse:
      properties:
        category:
          nullable: true
          type: string
        display_name:
          type: string
        is_required:
          type: boolean
        name:
          type: string
        order:
          format: int32
          type: integer
        type:
          $ref: '#/components/schemas/ReportParameterTypeResponse'
      type: object
    Instant:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6)
        UTC date-time with a `Z` suffix. Precision up to milliseconds.
      example: '2025-10-24T09:00:00.000Z'
      pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?Z$
      type: string
    ReportParameterTypeResponse:
      properties:
        name:
          enum:
            - AUDIENCE_ID
            - AUDIENCE_IDS
            - AUDIENCE_MEMBERSHIPS_METRIC_MAPPING
            - AUDIENCE_MEMBERSHIPS_ROW_MAPPINGS
            - AUDIENCE_MEMBERS_ROW_MAPPINGS
            - BOOLEAN
            - CAMPAIGN_ID
            - CAMPAIGN_IDS
            - CHANNEL_MAPPING
            - CLIENT_EVENT_METRIC_MAPPINGS
            - CLIENT_ID
            - CLIENT_IDS
            - DATE
            - DATE_RANGE
            - DECIMAL
            - EMAIL_NAMES
            - ENUM
            - ENUM_LIST
            - EQUALITY
            - FILTER_MAPPINGS
            - FLOWS
            - FLOW_FILTER
            - GRANULAR_TIME_RANGE
            - ID
            - IDS
            - INPUT_RECORD_METRIC_MAPPING
            - INPUT_RECORD_ROW_MAPPINGS
            - INTEGER
            - LONG
            - MESSAGE_SUMMARY_METRIC_MAPPINGS
            - METRIC_MAPPINGS
            - MODEL_CONFIGURATION_METRIC_MAPPING
            - NORMALIZED_EMAIL
            - NOT_ARCHIVED_CAMPAIGN_ID
            - PERSON_DIMENSION_MAPPINGS
            - PERSON_MAPPINGS
            - PROGRAM_LABEL
            - PROGRAM_LABELS
            - REGEX
            - REWARD_EVENT_METRIC_MAPPINGS
            - REWARD_ROW_MAPPINGS
            - REWARD_SUPPLIER_DISPLAY_TYPES
            - REWARD_SUPPLIER_IDS
            - REWARD_SUPPLIER_TYPES
            - ROW_MAPPINGS
            - SORT_ORDER_MAPPINGS
            - SORT_ORDER_MAPPINGS_ON_STEPS
            - STEP
            - STEPS
            - STEP_COLUMN_LIST
            - STRING
            - STRING_LIST
            - TIERS
            - TIME
            - TIME_RANGE
            - WEBHOOK_DISPATCH_METRIC_MAPPING
            - WEBHOOK_DISPATCH_ROW_MAPPINGS
            - WEBHOOK_METRIC_MAPPING
            - WEBHOOK_ROW_MAPPINGS
          type: string
        value_type:
          enum:
            - DYNAMIC
            - STATIC
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
          uniqueItems: true
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_limit:
      summary: invalid_limit
      value:
        code: invalid_limit
        http_status_code: 400
        message: Limit should be a non negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_offset:
      summary: invalid_offset
      value:
        code: invalid_offset
        http_status_code: 400
        message: Offset should be a non negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    max_fetch_size_1000:
      summary: max_fetch_size_1000
      value:
        code: max_fetch_size_1000
        http_status_code: 400
        message: Maximum allowed difference between limit and offset should be 1000
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_aggregation_status:
      summary: report_runner_invalid_aggregation_status
      value:
        code: report_runner_invalid_aggregation_status
        http_status_code: 400
        message: Report runner aggregation status is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_pause_status:
      summary: report_runner_invalid_pause_status
      value:
        code: report_runner_invalid_pause_status
        http_status_code: 400
        message: Report runner pause status is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_slot_type:
      summary: report_runner_invalid_slot_type
      value:
        code: report_runner_invalid_slot_type
        http_status_code: 400
        message: Report runner slot type is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_status:
      summary: report_runner_invalid_status
      value:
        code: report_runner_invalid_status
        http_status_code: 400
        message: Report runner status is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_type:
      summary: report_runner_invalid_type
      value:
        code: report_runner_invalid_type
        http_status_code: 400
        message: Report runner type is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````